Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister.file
Class FileBasedPersisterOptions

    java.lang.Object
      com.atlassian.bamboo.persister.file.FileBasedPersisterOptions

All Implemented Interfaces:
  PersisterOptions

    public class FileBasedPersisterOptions

extends Object
implements PersisterOptions

This allows the user to specify the file based persister options. It's made available to the GUI and used to configure the persister..

Field Summary
`static String` | `ADMIN_CONFIG_FILE`

Constructor Summary
`FileBasedPersisterOptions(String configurationDataDirectory, String buildDataDirectory)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getConfigurationDirectory()` Provide the UI with the current configuration directory
`File` | `getConfigurationDirectoryFile()`
`String` | `getDataDirectory()` Provide the UI with the current build data directory
`File` | `getDataDirectoryFile()`
`int` | `hashCode()`
`void` | `setConfigurationDirectory(String configurationDataDirectory)` The user (via the gui) or the plug-in loader (from the bamboo.xml file), define where the build administration files are located
`void` | `setDataDirectory(String buildDataDirectory)` The user (via the gui) or the plug-in loader (from the bamboo.xml file), define where the build data files are located
`ErrorCollection` | `validate(boolean validateContents)` Validate any plugin settings populated from the GUI

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADMIN_CONFIG_FILE

    public static final String ADMIN_CONFIG_FILE

See Also:
  Constant Field Values

Constructor Detail

### FileBasedPersisterOptions

    public FileBasedPersisterOptions(String configurationDataDirectory,
                                     String buildDataDirectory)

Method Detail

### setDataDirectory

    public void setDataDirectory(String buildDataDirectory)

  The user (via the gui) or the plug-in loader (from the bamboo.xml file), define where the build data files are located

  Parameters:
    `buildDataDirectory` - The build data directory

### getDataDirectory

    public String getDataDirectory()

  Provide the UI with the current build data directory

  Returns:
    The directory

### setConfigurationDirectory

    public void setConfigurationDirectory(String configurationDataDirectory)

  The user (via the gui) or the plug-in loader (from the bamboo.xml file), define where the build administration files are located

  Parameters:
    `configurationDataDirectory` - The server configuration data directory

### getConfigurationDirectory

    public String getConfigurationDirectory()

  Provide the UI with the current configuration directory

  Returns:
    The directory

### validate

    public ErrorCollection validate(boolean validateContents)

  Validate any plugin settings populated from the GUI

  Specified by:
    `validate` in interface `PersisterOptions`
  Parameters:
    `validateContents` - true iff you want to ensure the perster has valid data, false if you want to simply check the config (but may have no data)
  Returns:
    GUI from errors.

### getConfigurationDirectoryFile

    public File getConfigurationDirectoryFile()

### getDataDirectoryFile

    public File getDataDirectoryFile()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.